### Function

# FwupdPlugin byte_array_compare

#### Declaration [src]

    gboolean
    fu_byte_array_compare (
      GByteArray* buf1,
      GByteArray* buf2,
      GError** error
    )

#### Description [src]

Compares two buffers for equality.

Available since: | 1.8.0

#### Parameters

`buf1` | An array of `guint8`
| A data blob.
| The data is owned by the caller of the function.
`buf2` | An array of `guint8`
| Another `GByteArray`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if `buf1` and `buf2` are identical.